from Products.CMFCore import DirectoryView
from Products.CMFCore import utils as cmfutils
from Products.Archetypes.public import process_types, listTypes

from Products.attramline.config import PROJECTNAME
from config import product_globals
import Products.attramline.examples.TypeWithTramlineSupport
from tramlinetool import TramlineTool

DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/attramline',
                                    product_globals)
import monkey

def initialize(context):
    # initialize the tramline tool
    cmfutils.ToolInit('Tramline',
                   tools=[TramlineTool],
                   icon='tramline.gif').initialize( context )
    # initialize portal content
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    cmfutils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = 'Add portal content',
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
