def notifyFields(self, item, container):
    for field in self.Schema().fields():
        if hasattr(field, 'notifyBeforeDelete'):
            field.notifyBeforeDelete(item, container)

from Products.Archetypes.BaseObject import BaseObject
BaseObject.notifyFields = notifyFields

manage_beforeDelete = BaseObject.manage_beforeDelete

def new_manage_beforeDelete(self, item, container):
    self.notifyFields(item, container)
    manage_beforeDelete(self, item, container)

BaseObject.manage_beforeDelete = new_manage_beforeDelete
